//Premium breakup card

$(".addons").text("");
$(".discount").text("");
var add_on = {
    nill_depreciation: {price: 100, label: "Nil Depreciation", active: !1},
    personal_accident_cover: {
        price: 50,
        active: !1,
        label: "Personal Accidentcover (&#8377; 1 Lakh)"
    },
    compulsory_personal_accident: {
        price: 50,
        active: !1,
        label: "Compulsory Personal Accident"
    }
};
var discount = {
    voluntary_deductible_checkbox: {
        price: 100,
        active: !1,
        label: "Voluntary Deductible"
    },
    automobile_association: {
        price: 50,
        active: !1,
        label: "Automobile Association member"
    },
    anti_theft: {price: 50, active: !1, label: "Anti theft device in the Car"}
};
$(".funnel1_addon").change(function() {
    $(".addons").text("");
    $(".discount").text("");
    var hasactiveaddon = !1;
    var hasactivediscount = !1;
    var totalAddonAmount = 0;
    var totalDiscountAmount = 0;
    $.each(add_on, function(key, value) {
        var is_active = $(".card-input-element[value=" + key + "]").is(
            ":checked"
        );
        if (is_active) {
            add_on[key].active = !0;
            hasactiveaddon = !0;
            $(".addons").append(
                "<li class='addon_single'> - " +
                    value.label +
                    "<span>" +
                    value.price +
                    "</span></li>"
            );
            totalAddonAmount += value.price;
        } else {
            add_on[key].active = !1;
        }
    });
    $.each(discount, function(key, value) {
        var is_active = $(".card-input-element[value=" + key + "]").is(
            ":checked"
        );
        if (is_active) {
            discount[key].active = !0;
            hasactivediscount = !0;
            $(".discount").append(
                "<li class='addon_single'> - " +
                    value.label +
                    "<span>" +
                    value.price +
                    "</span></li>"
            );
            totalDiscountAmount += value.price;
        } else {
            discount[key].active = !1;
        }
    });
    if (hasactiveaddon) {
        $(".addons").prepend(
            "<li class='total-addons'>Total Addons <span> + " +
                totalAddonAmount +
                "</span></li>"
        );
    }
    if (hasactivediscount) {
        $(".discount").prepend(
            "<li class='total-addons'>Total discount <span> + " +
                totalDiscountAmount +
                "</span></li>"
        );
    }
});

//Premium breakup card functionality ends

//Pagination Functionality

$(".single-page").hide();
$(".page1").show();
$(".page5").show();
$(".premium-breakup-sec-wrapper").hide();
$(".premium-breakup-mob").hide();

if ($(window).width() > 1025) {
    $(".premium-breakup-sec-wrapper").show();
    $(".premium-breakup-sec-wrapper .breakup-cards").show();
}
if ($(window).width() < 1025) {
    $(".premium-breakup-mob").show();
    $(".previousPage").hide();
    $(".page-back-btn").css("justify-content", "flex-end");
}

$(".nextPage").click(function(e) {
    e.preventDefault();
    let activePage = $(this).attr("data-page");
    activePageArray = activePage.split(/([0-9]+)/);
    previousPageNum = parseInt(activePageArray[1]) - 1;
    previousPage = activePageArray[0] + previousPageNum;
    if (previousPage == "page3") {
        previousPage = "page2";
    }
    $(".previousPage").attr("data-page", previousPage);
    if (activePage == "page5") {
        var itValue = $(".insurance_plan:checked").val();
        var url = "";
        if(itValue == "ch")
            url = "../CAR_HTML_V1/comprehensive.html";
        else if(itValue == "od")
            url = "../CAR_HTML_V1-OD/od.html";
        else if(itValue == "tp")
            url = "../CAR_HTML_V1-TP/tp.html";

        
         window.location.href = url;

        if ($(window).width() > 1025) {
            $(".premium-breakup-sec-wrapper").show();
            $(".premium-breakup-sec-wrapper .breakup-cards").show();
        }
        if ($(window).width() < 1025) {
            $(".premium-breakup-mob").show();
            $(".previousPage").hide();
            $(".page-back-btn").css("justify-content", "flex-end");
        }
    } else {
        if ($(window).width() < 1025) {
            $(".premium-breakup-mob")
                .find(".previousPage")
                .show();
            $(".page-back-btn").css("justify-content", "space-between");
        }
    }
    // $("#IDVRangeSlider").rangeslider('update', true);
    if (activePage == "page6") {
        setTimeout(function() {
            $("#IDVRangeSlider").rangeslider("update", true);
            console.log("page6");
        }, 2000);
    }

    activePage = "." + activePage;
    $(".modal").modal("hide");
    $(".single-page").hide();
    $("html, body").animate({scrollTop: 0});
    $(activePage).show();
    $;
});
$(".previousPage").click(function(e) {
    e.preventDefault();
    let activePage = $(this).attr("data-page");
    if (activePage == "page5") {
        if ($(window).width() < 1025) {
            $(".previousPage").hide();
            $(".page-back-btn").css("justify-content", "flex-end");
        }
    } else {
        $(".page-back-btn").css("justify-content", "space-between");
    }
    activePageArray = activePage.split(/([0-9]+)/);
    previousPageNum = parseInt(activePageArray[1]) - 1;
    previousPage = activePageArray[0] + previousPageNum;
    activePage = "." + activePage;
    $(".single-page").hide();
    $(".modal").modal("hide");
    $("html, body").animate({scrollTop: 0});
    $(activePage).show();
    $(".previousPage").attr("data-page", previousPage);
});

$(".start-journey-submit").click(function (e) {
    e.preventDefault();
    $(".journeyModal").modal("toggle");
});

$("#expiredBefore90Days").change(function() {
    if($(this).is(':checked')){
        $(".policyExpiryModal").modal("toggle");
    }
});

$(".funnel1-form-submit").click(function (e) {
    let activePage = $(this).attr("data-page");
    activePageArray = activePage.split(/([0-9]+)/);
    previousPageNum = parseInt(activePageArray[1]) - 1;
    previousPage = activePageArray[0] + previousPageNum;
    if (previousPage == "page3") {
        previousPage = "page2";
    }
    $(".previousPage").attr("data-page", previousPage);
    activePage = "." + activePage;
    $(".single-page").hide();
    $("html, body").animate({ scrollTop: 0 });
    $(activePage).show();
});

var ii = 0;
var ii2 = 0;

$("#regdYearFld").focusout(function(){
    if(ii == 0){
        $('.RegdDateModal').modal("toggle");
        ii++;
    }
});

$("#redgMntField").focusout(function(){
    if(ii2 == 0){
        $('.RegdDateModal').modal("toggle");
        ii2++;
    }
});

if($(".page1").length > 0){
let dropArea = document.getElementById("fileUpload");

["dragenter", "dragover", "dragleave", "drop"].forEach(function(eventName) {
    dropArea.addEventListener(eventName, preventDefaults, !1);
});


function preventDefaults(e) {
    e.preventDefault();
    e.stopPropagation();
}

["dragenter", "dragover"].forEach(function(eventName) {
    dropArea.addEventListener(eventName, highlight, !1);
});
["dragleave", "drop"].forEach(function(eventName) {
    dropArea.addEventListener(eventName, unhighlight, !1);
});
function highlight(e) {
    dropArea.classList.add("highlight");
}
function unhighlight(e) {
    dropArea.classList.remove("highlight");
}

//Drag and drop file upload functionality

dropArea.addEventListener("drop", handleDrop, false);

function handleDrop(e) {
    let dt = e.dataTransfer;
    let files = dt.files;
    handleFiles(files);
}
function handleFiles(files) {
    $.each(files, function(i, file) {
        uploadFile(file);
    });
    $.each(files, function(i, file) {
        previewFile(file);
    });
}

function previewFile(file) {
    let reader = new FileReader();
    reader.readAsDataURL(file);
    var ChildSpanElem = document
        .querySelector(".files_upload_form")
        .querySelectorAll("span");
    document.querySelector(".file-upload-content").style.display = "none";
    ChildSpanElem[1].style.display = "none";
    document
        .querySelector(".files_upload_form")
        .querySelector("img").style.display = "none";
    reader.onloadend = function() {
        let img = document.createElement("img");
        img.src = reader.result;
        let fileName = document.createElement("p");
        fileName.innerHTML = file.name;
        document.getElementById("filePreview").appendChild(img);
        document.getElementById("filePreview").appendChild(fileName);
    };
}
function uploadFile(file) {}
}